Bug 94917 - radeonsi supports GL_ARB_shader_storage_buffer_object with 0 GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS
Summary: radeonsi supports GL_ARB_shader_storage_buffer_object with 0 GL_MAX_COMBINED_...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-13 10:38 UTC by James Legg
Modified: 2016-04-14 08:38 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Program which test for the issue (1.24 KB, text/plain)
2016-04-13 10:38 UTC, James Legg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Legg 2016-04-13 10:38:04 UTC
Created attachment 122892 [details]
Program which test for the issue

When mesa git fa46848e51a619aba5a748316fe8fe4c2e17d243 is built against LLVM 3.8.0, with a Radeon R9 270, support for the GL_ARB_shader_storage_buffer_object extension is claimed. However, GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS is 0. The minimum required by the ARB_shader_storage_buffer_object specification is 8.

https://cgit.freedesktop.org/mesa/mesa/commit/?id=bfd11c599600960f966d5d217b8dc20442108ef1 makes it look as if support was only intended for LLVM 3.9 or later.
Comment 1 Nicolai Hähnle 2016-04-13 14:07:22 UTC
Hi James, thanks for the report. Probably some confusion in how the statetracker maps Gallium cap bits to extension support, I'm going to take a look.
Comment 2 Nicolai Hähnle 2016-04-13 14:17:36 UTC
https://patchwork.freedesktop.org/patch/80793/ should fix this.
Comment 3 Nicolai Hähnle 2016-04-13 15:13:37 UTC
Should be fixed in Mesa master, commit 9e9a2bb44aa7b317919793f2320bd995ff373bbb
Comment 4 James Legg 2016-04-14 08:38:31 UTC
Confirmed. Thanks for the quick fix.


bug/show.html.tmpl processed on Feb 19, 2017 at 16:41:49.
(provided by the Example extension).